Bug 519729 - Libirt does not allow creation of more than 256 guests
Summary: Libirt does not allow creation of more than 256 guests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt
Version: 5.4
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: 5.5
Assignee: Daniel Berrangé
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 557292 519736 533941 554559
TreeView+ depends on / blocked
 
Reported: 2009-08-27 15:22 UTC by Andrew Cathrow
Modified: 2014-09-07 22:53 UTC (History)
10 users (show)

Fixed In Version: libvirt-0.6.3-26.el5
Doc Type: Enhancement
Doc Text:
Clone Of:
: 519736 (view as bug list)
Environment:
Last Closed: 2010-03-30 08:10:25 UTC
Target Upstream Version:


Attachments (Terms of Use)
Remove limit on number of tap devices (3.41 KB, patch)
2009-12-16 16:08 UTC, Daniel Berrangé
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0205 normal SHIPPED_LIVE libvirt bug fix and enhancement update 2010-03-29 12:27:37 UTC

Description Andrew Cathrow 2009-08-27 15:22:40 UTC
We're currently limited to 256 TAP interfaces preventing creation of guests above that limit.

Upstream commits from HP.
http://libvirt.org/git/?p=libvirt.git;a=commitdiff;h=8fa592e3dc2a8bbece2877dede3e212165e2814a
http://libvirt.org/git/?p=libvirt.git;a=commitdiff;h=d3209478d594e18adfa880c57ea67f808bfaadc9

Comment 4 Daniel Berrangé 2009-12-16 16:08:33 UTC
Created attachment 378785 [details]
Remove limit on number of tap devices

Comment 5 Daniel Veillard 2009-12-22 15:25:35 UTC
libvirt-0.6.3-26.el5 has been built into dist-5E-qu-candidate with the fix

Daniel

Comment 7 Gunannan Ren 2009-12-30 02:41:42 UTC
The bug has been fixed in libvirt-0.6.3-26.el5

I booted thirty-two virtual machines, each with 8 virtual nics on a x86_64 system with libvirt-0.6.3-26.el5 version, there were 256 tap devices created in total, no problem found, when I booted another more one, that's ok also for creating the number of tap devices more than 256. 

I did the same on libvirt-0.6.3-25.el5, when booting the 33th virtual machines, it reports error:

error: Failed to start domain guest21
error: internal error Failed to add tap interface 'vnet%d' to bridge 'virbr1' : Device or resource busy

virbr1 is a temporary bridge created for the bug verification.

Comment 11 errata-xmlrpc 2010-03-30 08:10:25 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0205.html


Note You need to log in before you can comment on or make changes to this bug.